from sqlalchemy import Boolean, Column, Integer, String, Text

from app.db.base import Base
from app.db.base_class import BaseClass


class Todo(Base, BaseClass):
    """
    SQLAlchemy model for Todo items.
    """
    id = Column(Integer, primary_key=True, index=True)
    title = Column(String(255), nullable=False, index=True)
    description = Column(Text, nullable=True)
    completed = Column(Boolean, default=False, nullable=False)